Bug 152029 - [patch] fix dependencies after security/heimdal shlib bump
[patch] fix dependencies after security/heimdal shlib bump
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-07 21:30 UTC by Joerg.Pulz
Modified: 2010-11-21 23:50 UTC (History)
0 users

See Also:


Attachments
heimdal_shlib_bump.diff (9.97 KB, patch)
2010-11-07 21:30 UTC, Joerg.Pulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg.Pulz 2010-11-07 21:30:09 UTC
	security/heimdal installs libkrb5.so.26 since the update to 1.4.
	Fix all ports which still depend on libkrb5.so.23.

	All other ports which can use security/heimdal either use libkrb5.so
	without version number or have no dependency at all.

	I simply forgot this when preparing and submitting the heimdal-1.4
	update. Sorry for that.
	As the heimdal dependencies are all optional nothing was broken in the
	default package build.
Comment 1 Edwin Groothuis freebsd_committer 2010-11-07 21:30:18 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Joerg.Pulz 2010-11-12 16:41:10 UTC
Dear maintainer of databases/postgresql*-server,

please take a look at the following PR as it partly belongs to (some) 
ports you maintain.

> http://www.freebsd.org/cgi/query-pr.cgi?pr=152029

Any comments are much appreciated.

Thanks and kind regards
Joerg

-- 
The beginning is the most important part of the work.
 				-Plato
Comment 3 Joerg.Pulz 2010-11-12 16:43:26 UTC
Dear maintainer of net/freeradius net/freeradius2,

please take a look at the following PR as it partly belongs to (some) 
ports you maintain.

> http://www.freebsd.org/cgi/query-pr.cgi?pr=152029

Any comments are much appreciated.

Thanks and kind regards
Joerg

-- 
The beginning is the most important part of the work.
 				-Plato
Comment 4 Rene Ladan freebsd_committer 2010-11-12 16:46:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 5 rpsfa 2010-11-12 17:34:25 UTC
Approved.
Comment 6 dfilter freebsd_committer 2010-11-21 23:48:53 UTC
rene        2010-11-21 23:48:49 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql73-server Makefile 
    databases/postgresql74-server Makefile 
    databases/postgresql80-server Makefile 
    databases/postgresql81-server Makefile 
    databases/postgresql82-server Makefile 
    databases/postgresql83-server Makefile 
    databases/postgresql84-server Makefile 
    databases/postgresql90-server Makefile 
    net/freeradius       Makefile 
    net/freeradius2      Makefile 
    security/openssh-portable Makefile 
  Log:
  - Fix optional dependency on security/heimdal
  - Bump PORTREVISION
  PR:             ports/152029
  Submitted by:   Joerg Pulz [Joerg.Pulz frm2.tum.de]
  Approved by:    Ryan Steinmetz <rpsfa@rit.edu> (maintainer of net/freeradius*)
                  girgen (maintainer of databases/postgresql*-server,
                          14 day timeout)
  
  Revision  Changes    Path
  1.155     +2 -2      ports/databases/postgresql73-server/Makefile
  1.165     +2 -1      ports/databases/postgresql74-server/Makefile
  1.187     +2 -1      ports/databases/postgresql80-server/Makefile
  1.192     +2 -1      ports/databases/postgresql81-server/Makefile
  1.193     +2 -1      ports/databases/postgresql82-server/Makefile
  1.203     +2 -1      ports/databases/postgresql83-server/Makefile
  1.213     +2 -1      ports/databases/postgresql84-server/Makefile
  1.207     +2 -1      ports/databases/postgresql90-server/Makefile
  1.78      +2 -2      ports/net/freeradius/Makefile
  1.91      +2 -1      ports/net/freeradius2/Makefile
  1.150     +2 -2      ports/security/openssh-portable/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rene Ladan freebsd_committer 2010-11-21 23:49:02 UTC
State Changed
From-To: open->closed

Committed, thanks